Skip to main content
`Ctrl`+`K`

# PetscDrawSetOptionsPrefix

Sets the prefix used for searching for all `PetscDraw` options in the database.

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawSetOptionsPrefix(PetscDraw draw, const char prefix[])

Logically Collective

## Input Parameters

- draw - the draw context

- prefix - the prefix to prepend to all option names

## See Also

`PetscDraw`, `PetscDrawSetFromOptions()`, `PetscDrawCreate()`

## Level

advanced

## Location

src/sys/classes/draw/interface/drawreg.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages